# eric4.Preferences.ConfigurationPages.EditorPropertiesPage

Module implementing the Editor Properties configuration page.

### Global Attributes

None

### Classes

EditorPropertiesPage | Class implementing the Editor Properties configuration page.

### Functions

create | Module function to create the configuration page.

## EditorPropertiesPage

Class implementing the Editor Properties configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorPropertiesPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorPropertiesPage | Constructor
save | Public slot to save the Editor Properties (1) configuration.

### Static Methods

None

#### EditorPropertiesPage (Constructor)

EditorPropertiesPage(lexers)

Constructor

lexers
  reference to the lexers dictionary

#### EditorPropertiesPage.save

save()

Public slot to save the Editor Properties (1) configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up